﻿using System.Windows;
using ThinkGeo.MapSuite;
using ThinkGeo.MapSuite.Layers;
using ThinkGeo.MapSuite.Shapes;
using ThinkGeo.MapSuite.Wpf;

namespace _9558
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void map_Loaded(object sender, RoutedEventArgs e)
        {
            map.MapUnit = GeographyUnit.Meter;


            LayerOverlay layerOverlay = new LayerOverlay();


            BingMapsLayer bing = new BingMapsLayer("Your Bing Map Key", ThinkGeo.MapSuite.Layers.BingMapsMapType.Aerial);


            layerOverlay.Layers.Add(bing);



            Proj4Projection _mapImageProjection = new Proj4Projection();

            _mapImageProjection.InternalProjectionParametersString = Proj4Projection.GetBingMapParametersString();
            _mapImageProjection.ExternalProjectionParametersString = Proj4Projection.GetEpsgParametersString(26712);

            // Layer is the BingMapsLayer that I need to adjust the projection on
            bing.ProjectionFromSphericalMercator = _mapImageProjection;


            map.Overlays.Add(layerOverlay);



            bing.Open();
            map.CurrentExtent = bing.GetBoundingBox();
            map.Refresh();
        }
    }
}
